<html>
    <head>        
        <script src="smoothie.js"></script>
        <style>
            #mainChart {
                position: absolute;
                bottom: 0px;
                right: 0px;
            }

            .label {
                position: absolute;
                text-align: right;
                right: 5px;
                width: 100%;
                font-family: "Lucida Console", Monaco, monospace;
                font-size: 1.2em;
            }
            .out {
                color: red;
                bottom: 210px;
            }

            .in {
                color: green;
                bottom: 230px;
            }
        </style>
        <script type="text/javascript">
        function updateLines(up, down) {
                line1.append(new Date().getTime(), up);
                line2.append(new Date().getTime(), down);

                document.getElementById("inTxt").innerHTML = down.toString();
                document.getElementById("outTxt").innerHTML = up.toString();
            }
        </script>
    </head>
    <body>
        <canvas id="mainChart" width="400" height="200"></canvas>
        <div id="container">            
            <p><span class="label out"><span id="outTxt"></span> - Bytes/s OUT</span></p>
            <p><span class="label in"><span id="inTxt"></span> - Bytes/s IN</span></p>
        </div>
        <script type="text/javascript">
            var ctx = document.getElementById("mainChart");

            var smoothie = new SmoothieChart({
                grid: { strokeStyle: 'transparent', fillStyle:'transparent',
                        lineWidth: 1, millisPerLine: 250, verticalSections: 60 },
                labels: { fillStyle: 'rgb(255,255,255)', fontSize:16},
            });

            smoothie.streamTo(ctx, 1000);

            var line1 = new TimeSeries();
            var line2 = new TimeSeries();

            smoothie.addTimeSeries(line1, 
                {
                    strokeStyle:'rgb(255, 0, 0)', lineWidth:3
                });
            smoothie.addTimeSeries(line2,
                {
                    strokeStyle:'rgb(0, 255, 0)', lineWidth:3
                });            
        </script>        
    </body>
</html>